package com.sun.jmx.snmp.internal;

import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpOid;

public interface SnmpAccessControlModel extends SnmpModel
{
    public abstract void checkAccess(int p0, String p1, int p2, int p3, int p4, byte[] p5, SnmpOid p6) throws SnmpStatusException;
    
    public abstract void checkPduAccess(int p0, String p1, int p2, int p3, int p4, byte[] p5, SnmpPdu p6) throws SnmpStatusException;
    
    public abstract boolean enableSnmpV1V2SetRequest();
    
    public abstract boolean disableSnmpV1V2SetRequest();
    
    public abstract boolean isSnmpV1V2SetRequestAuthorized();
}
